<template>
  <el-row type="flex" class="l-container">

    <el-col :span="5" class="l-filter">
      <filter-ads />
    </el-col>

    <el-col :span="10" :offset="5">
      <!-- BEGIN block list ad card -->
      <el-row type="flex"
              :gutter="15"
              justify="space-around"
              class="b-ads"
              v-loading="loading.ads"
              element-loading-text="Загрузка...">
        <el-col :xs="24" :sm="24" :md="24" :lg="12" v-for="ad in ads" :key="ad" class="b-ads__item">
          <ad-card :ad="ad"/>
        </el-col>

        <!-- BEGIN block button load more ads -->
        <div class="b-load-more" v-if="!loading.ads && !isEnd">
          <el-button type="primary" size="large" @click="getAds" class="b-load-more__button">
            Загрузить ещё
          </el-button>
        </div>
        <!-- END block button load more ads -->
      </el-row>
      <!-- END block list ad card -->
    </el-col>

    <el-col :span="9" class="l-maps">Maps</el-col>

  </el-row>
</template>

<style lang="stylus" scoped>
  @import '~style/vars'

  .l-container
    height 100%

  .b-ads
    height 100%
    flex-flow row wrap
    padding 20px

    &__item
      flex 1 1 auto

  .l-filter
    position fixed
    height 100%
    padding 20px
    background $color-light-black
    color $color-extra-light-gray

  .l-maps
    position fixed
    right 0
    height 100%
    padding 10px
    background $color-light-black
    color $color-dark-white


  .b-load-more
    flex 1 1 auto
    display block
    width 100%

    &__button
      display block
      margin 10px auto

</style>

<script>
  import { mapState, mapActions } from 'vuex';
  import AdCard from 'components/ad-card';
  import FilterAds from 'components/filter-ads';

  export default {
    head: {
      title: {
        inner: 'Home'
      }
    },
    data () {
      return {
        isLoad: false
      };
    },
    components: {
      'ad-card': AdCard,
      'filter-ads': FilterAds
    },
    created: function () {
      this.getAds();
      this.getSettlements();
    },
    computed: {
      ...mapState('home', [
        'ads',
        'isEnd',
        'loading'
      ])
    },
    methods: {
      ...mapActions('home', [
        'getAds',
        'getSettlements'
      ])
    }
  };
</script>
